PM91632: [wi 116463]RAM 7.5.1.2 Eclipse Client could not be installed into RAD 8.5.1 package group in IBM Installation Manager

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • Abstract:
    
    Attempting to install the Rational Asset Manager (RAM) v7.5.1.2
    Eclipse Client into the same package group as Rational
    Application Developer (RAD) v8.5.1 using IBM Installation
    Manager, resulted in a com.ibm.ut.help.common plugin version
    conflict error.
    
    
    Error_description:
    
    IBM Installation Manager (IM) 1.6.2 was being used to install
    the RAM v7.5.1.2 Eclipse Client into the same package group as
    RAD 8.5.1-iFix2
    or Rational Software Architect for WebSphere (RSA/RSA4WS) 8.5.1,
    to allow for Eclipse Sell sharing. This resulted in the
    following error being reported in the IM Agent Data installation
    log:
    
    '...
    Error during 'complete' phase:
    CRIMA1082E: The bundle
    'com.ibm.ut.help.common_2.11.3.v20130228_1957'
    cannot be installed in this Eclipse configuration because it is
    not
    equivalent to the bundle
    'com.ibm.ut.help.common_2.7.2.v20121004_1540'
    that is already installed.
    ..'
    
    
    The technote:
    - IBM Software products installed together that share a common
    environment
    http://www-01.ibm.com/support/docview.wss?uid=swg21279139
    , shows the RAM v7.5.1.2 Eclipse Client, as shell shareable with
    RAD 8.5.1.
    
    Workaround:
    
    There is no known workaround at this time involving IBM
    Installation Manager.
    
    An alternative using the Eclipse Updater to to install RAM 7512
    with RAD 851:
    1) Install RAD 8.5.1
    2) Using RAM's update site to install the RAM eclipse client.
    Don't choose help.
    RAM 7.5.1.x Info Center item:
    - Installing Rational Asset Manager Eclipse client by using
    Eclipse update manager
    http://pic.dhe.ibm.com/infocenter/ramhelp/v7r5m1/topic/com.ibm.r
    am.installguide.doc/topics/t_install_eclipse.html
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:                                              *
    * RAM                                                          *
    ****************************************************************
    * PROBLEM DESCRIPTION:                                         *
    * Abstract:                                                    *
    *                                                              *
    * Attempting to install the Rational Asset Manager (RAM)       *
    * v7.5.1.2                                                     *
    * Eclipse Client into the same package group as Rational       *
    * Application Developer (RAD) v8.5.1 using IBM Installation    *
    * Manager, resulted in a com.ibm.ut.help.common plugin version *
    * conflict error.                                              *
    *                                                              *
    *                                                              *
    * Error_description:                                           *
    *                                                              *
    * IBM Installation Manager (IM) 1.6.2 was being used to        *
    * install                                                      *
    * the RAM v7.5.1.2 Eclipse Client into the same package group  *
    * as                                                           *
    * RAD 8.5.1-iFix2                                              *
    * or Rational Software Architect for WebSphere (RSA/RSA4WS)    *
    * 8.5.1,                                                       *
    * to allow for Eclipse Sell sharing. This resulted in the      *
    * following error being reported in the IM Agent Data          *
    * installation                                                 *
    * log:                                                         *
    *                                                              *
    * '...                                                         *
    * Error during 'complete' phase:                               *
    * CRIMA1082E: The bundle                                       *
    * 'com.ibm.ut.help.common_2.11.3.v20130228_1957'               *
    * cannot be installed in this Eclipse configuration because it *
    * is                                                           *
    * not                                                          *
    * equivalent to the bundle                                     *
    * 'com.ibm.ut.help.common_2.7.2.v20121004_1540'                *
    * that is already installed.                                   *
    * ..'                                                          *
    *                                                              *
    *                                                              *
    * The technote:                                                *
    * - IBM Software products installed together that share a      *
    * common                                                       *
    * environment                                                  *
    * http://www-01.ibm.com/support/docview.wss?uid=swg21279139    *
    * , shows the RAM v7.5.1.2 Eclipse Client, as shell shareable  *
    * with                                                         *
    * RAD 8.5.1.                                                   *
    *                                                              *
    * Workaround:                                                  *
    *                                                              *
    * There is no known workaround at this time involving IBM      *
    * Installation Manager.                                        *
    *                                                              *
    * An alternative using the Eclipse Updater to to install RAM   *
    * 7512                                                         *
    * with RAD 851:                                                *
    * 1) Install RAD 8.5.1                                         *
    * 2) Using RAM's update site to install the RAM eclipse        *
    * client.                                                      *
    * Don't choose help.                                           *
    * RAM 7.5.1.x Info Center item:                                *
    * - Installing Rational Asset Manager Eclipse client by using  *
    * Eclipse update manager                                       *
    * http://pic.dhe.ibm.com/infocenter/ramhelp/v7r5m1/topic/com.i *
    * bm.r                                                         *
    * am.installguide.doc/topics/t_install_eclipse.html            *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    

Problem conclusion

Temporary fix

Comments

APAR Information

  • APAR number

    PM91632

  • Reported component name

    RATL APP DEV WI

  • Reported component ID

    5724J1901

  • Reported release

    751

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2013-06-23

  • Closed date

    2014-06-16

  • Last modified date

    2014-06-16

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    RATL ASSET MGR

  • Fixed component ID

    5724R4200

Applicable component levels

  • R752 PSY

       UP



Document information


More support for:

Rational Asset Manager

Software version:

7.5.1

Reference #:

PM91632

Modified date:

2014-06-16

Translate my page

Content navigation